#!/bin/sh

set -euo pipefail

# Set permissions
if [ -e "${LDAP2PG_CONFIG}" ]; then
  if [ "${LDAP2PG_MODE}" = "real" ]; then
    echo "Applying privileges with ldap2pg"
    ldap2pg --real --config ${LDAP2PG_CONFIG}
  else
    echo "Running ldap2pg in dry mode"
    ldap2pg --config ${LDAP2PG_CONFIG}
  fi
  # Run cron if needed
  if [ -n "${LDAP2PG_CRON}" ]; then
    echo "Running ldap2pg as a cron job (${LDAP2PG_CRON})"
    export MINIT_MAIN="ldap2pg --real --config ${LDAP2PG_CONFIG}"
    export MINIT_MAIN_NAME=ldap2pg
    export MINIT_MAIN_KIND=cron
    export MINIT_MAIN_CRON="${LDAP2PG_CRON}"
    minit
  fi
fi
